import { Component, EnvironmentInjector, inject } from '@angular/core';
import { IonTabs, IonTabBar, IonTabButton, IonIcon, IonLabel } from '@ionic/angular/standalone';
import { addIcons } from 'ionicons';
import {
  compass, bookOutline, book, storefront, person, document, mailOutline,
  calendarOutline, logoUsd, briefcaseOutline, heartOutline, footballOutline,
  chevronForwardOutline, storefrontOutline, businessOutline, documentsOutline,
  rocketOutline, sparklesOutline, medalOutline, listOutline
} from 'ionicons/icons';

@Component({
  selector: 'app-tabs',
  templateUrl: 'tabs.page.html',
  styleUrls: ['tabs.page.scss'],
  standalone: true,
  imports: [IonTabs, IonTabBar, IonTabButton, IonIcon, IonLabel],
})
export class TabsPage {
  public environmentInjector = inject(EnvironmentInjector);

  constructor() {
    addIcons({
      compass, bookOutline, book, storefront, person, document,
      mailOutline, calendarOutline, logoUsd, briefcaseOutline, heartOutline,
      footballOutline, chevronForwardOutline, storefrontOutline, businessOutline,
      documentsOutline, rocketOutline, sparklesOutline, medalOutline, listOutline
    });
  }
}
